ECHO OFF
XTRA /i/m
:START
CLEAR
BIG 2,,7,QC AND 
BIG 6,,7,UTILITIES
BOX 11,,33,10,2
PUT ,,ICE-SORT   - File Sort           
PUT ,,INDEX      - Prepare Index Files 
PUT ,,FISUM      - File Summary        
PUT ,,STASUM     - Station Summary     
PUT ,,ICE-SQC    - Speed Check etc     
PUT ,,TSLOOK     - TS Plotting etc     
PUT ,,ICE-EDT    - EDIT File           
PUT ,,ICE-EXT    - Station Extract     
PUT ,,MAIN       - Return to Main Menu 
PUT ,,DOS        - Return to DOS       

POINT 12,,,10
IF ERRORLEVEL 10 GOTO DOS
IF ERRORLEVEL 9 GOTO MAIN
IF ERRORLEVEL 8 GOTO EXT
IF ERRORLEVEL 7 GOTO EDIT
IF ERRORLEVEL 6 GOTO LOOK
IF ERRORLEVEL 5 GOTO QC
IF ERRORLEVEL 4 GOTO SUM
IF ERRORLEVEL 3 GOTO FISUM
IF ERRORLEVEL 2 GOTO INDEX
IF ERRORLEVEL 1 GOTO SORT

:MAIN
REMOVE
oceanpc
GOTO START

:EXT
extract
goto start

:SORT
ICESORT
GOTO START

:EDIT
\EXEC\ICE-EDT
GOTO START

:LOOK
call tslook
GOTO START

:QC
\EXEC\ICESQC
GOTO START

:SUM
\EXEC\STASUM
GOTO START

:FISUM
\EXEC\FISUM
GOTO START

:INDEX
INDEX
GOTO START

:SORT
ICESORT
goto start

:DOS
cls
:QUIT
CLEAR
REMOVE
cls